%undefine __cmake_in_source_build

Name:           q4wine
Version:        1.3.13
Release:    1%{?dist}
Summary:        Qt GUI for wine

License:        GPLv3+
URL:            http://q4wine.brezblock.org.ua/
Source0:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}.appdata.xml

BuildRequires:  qt5-qtbase-devel qt5-linguist qt5-qtsvg-devel cmake
BuildRequires:  qtsingleapplication-qt5-devel
BuildRequires:  desktop-file-utils libappstream-glib
BuildRequires:  icoutils

Requires:       wine-core icoutils

ExclusiveArch:  %{ix86} x86_64 %{arm} aarch64

%description
Q4Wine is a qt GUI for wine. It will help
you manage wine prefixes and installed applications.

General features:
* Can export QT color theme into wine colors settings.
* Can easy work with different wine versions at same time;
* Easy creating, deleting and managing prefixes (WINEPREFIX);
* Easy controlling for wine process;
* Autostart icons support;
* Easy cd-image use;
* You can extract icons from PE files (.exe .dll);
* Easy backup and restore for managed prefixes.
* Winetriks support.

%prep
%setup -q
rm -r src/qtsingleapplication

%build
%{cmake} -DWITH_SYSTEM_SINGLEAPP=ON -DQT5=ON -DUSE_GZIP=ON -DRELEASE=ON ..
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_metainfodir}
install -pm 644 %{SOURCE1} %{buildroot}%{_metainfodir}/
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml

rm -f %{buildroot}%{_datadir}/icons/ubuntu-mono-dark/scalable/apps/q4wine.svg


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/q4wine.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*.appdata.xml

%files
%license COPYING
%doc AUTHORS README ChangeLog
%{_bindir}/q4wine*
%{_libdir}/q4wine
%{_datadir}/applications/q4wine.desktop
%{_mandir}/man1/q4wine*.gz
%{_datadir}/icons/hicolor/scalable/apps/q4wine*.svg
%{_datadir}/metainfo/%{name}.*.xml
%{_datadir}/q4wine

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.13-1
- initial build
